//
// Created by robtor on 09.12.22.
//

#include "Menu_Entry_Type_Checkable.h"

namespace floatpump {
    namespace menu {


        Menu_Entry_Type_Checkable::Menu_Entry_Type_Checkable(bool mState) {
            m_state = new bool(mState);
        }

        std::string Menu_Entry_Type_Checkable::toString() {
            return {(*m_state) ? "ON " : "OFF"};
        }

        void Menu_Entry_Type_Checkable::u_press() {
            *m_state = !(*m_state);
        }

        void Menu_Entry_Type_Checkable::u_increase(uint16_t steps) {

        }

        void Menu_Entry_Type_Checkable::u_decrease(uint16_t steps) {

        }

        bool Menu_Entry_Type_Checkable::isEntered() {
            return false;
        }

        void Menu_Entry_Type_Checkable::linkConfig(bool *link) {
            m_state = link;
        }
    } // floatpump
} // menu